---
title: Release 2021.7
slug: "2021.7"
---

## Headline Changes

- TLS Support for LDAP Providers

    You can now configure certificates for your LDAP Providers, meaning that all communication will be done encrypted.

- Add bundeled docs

    You can now browse the authentik docs for your version by browsing to `/help`. This means you don't have to rely on an
    internet connection to check the logs, and you also have the correct logs for your currently running version.

## Minor changes

- Fix LDAP outpost not parsing arrays from user and group attributes correctly
- Fix LDAP outpost missing a `member` field on groups with all member DNs
- Allow configuration of Redis port
- Tunnel Sentry requests through authentik to prevent them being blocked by ad-blockers
- core: fix error when setting icon/background to url longer than 100 chars
- events: fix error when slack notification request failed without a response
- flows: allow variable substitution in flow titles
- providers/oauth2: allow blank redirect_uris to allow any redirect_uri
- providers/saml: fix parsing of POST bindings
- root: set samesite to None for SAML POST flows
- root: subclass SessionMiddleware to set Secure and SameSite flag depending on context
- web: fix error when showing error message of request

## Upgrading

This release does not introduce any new requirements.

### docker-compose

Download the docker-compose file for 2021.7 from [here](https://raw.githubusercontent.com/goauthentik/authentik/version-2021.7/docker-compose.yml). Afterwards, simply run `docker-compose up -d`.

### Kubernetes

Upgrade to the latest chart version to get the new images.
